Skip to main content
GET
Retrieve a payment
Retrieve a payment with a given payment ID

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Path Parameters

payment_id
string
required

Unique idenifier for payment

Query Parameters

client_id
string
required

The ID of the client

Response

The client payment

contact_id
string
required

Unique identifier of the contact who booked the payment

payment_id
string
required

Unique identifier for the payment

trade_id
string
required

Unique identifier of the trade the payment is allocated to

account_number
string
amount
number<float>

Payment amount

approvals_workflow
object

Neyes-Plus workflow related fields

authorisation_workflow
enum<string>

The authorisation workflow of the payment

Available options:
simple,
4-eyes,
6-eyes,
8-eyes,
10-eyes
authorised_by
string

The user who authorised the payment

authorised_date
string<date>

The date when payment was authorised

bank_identifier
string
beneficiary_name
string

Name of the beneficiary

beneficiary_id
string

id of the beneficiary

beneficiary_aml_id
string

a beneficiary id formatted

beneficiary_active
boolean

Flag indicating if the beneficiary is active

beneficiary_authorised
boolean

Flag indicating if the beneficiary is authorised

beneficiary_blocked
boolean

Flag indicating if the beneficiary is blocked

beneficiary_completed
boolean

Flag indicating if the beneficiary is completed

beneficiary_verified
boolean

Flag indicating if the beneficiary is verified

cancelled_by
string

The user who cancelled the payment

cancelled_date
string<date>

The date when payment was cancelled

charges
string

Charges associated with the payment

created_date
string<date>

Payment instruction created date

fee_amount
number<float>

Fee amount

fee_currency
string

Fee currency

iban
string
invoice_required
boolean

Whether or not the payment requires an invoice

ordered_by_name
string

name of who make the order

multipayment
string

The formatted, human-readable display identifier (e.g., 'EBPMP001067'). Often used for invoices and customer support.

multipayment_id
string

The internal database sequential numeric identifier.

multipayment_unique_id
string<uuid>

A universally unique identifier (UUID) used for secure API lookups and to prevent ID enumeration.

payment_currency
string

Currency the payment was made in

payment_date
string<date>

Target payment date

payment_instruction
string<uri>

URI to download payment instruction

payment_receipt
string<uri>

URI to download payment receipt

reference
string

Payment reference

rejected_by
string

The user who rejected the payment

rejected_date
string<date>

The date when payment was rejected

status
enum<string>

The current status of the payment

Available options:
Need more beneficiary information,
Validating beneficiary information,
Waiting for payment date,
Payment complete,
Executing Payment,
Payment pending of authorization,
Payment rejected,
Payment cancelled
swift_code
string
uuid
string<uuid>

The unique internal identifier for the payment. Note: This field is also used as the UETR (Unique End-to-end Transaction Reference) for SWIFT gpi tracking purposes when is_uuid_used_for_tracking is true.

is_uuid_used_for_tracking
boolean

Indicates if the uuid can be used as a valid UETR for SWIFT tracking. It returns true only if the following conditions are met: * The payment schema is SCHEMA_SWIFT. * The transaction is recent (less than 124 days old). * The payment is not marked as invalid or canceled. * The date is subsequent to the CAN_TRACK_SWIFT_PAYMENT_SINCE setting.